Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.qd
Class QDDimension

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.qd.QDDimension

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public class QDDimension
extends QTByteObject
implements quicktime.jdirect.PrimitivesLib, java.lang.Cloneable

This class represents a width and height dimension.

See Also:
  Serialized Form

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`QDDimension()` Creates an instance of QDDimension with a width of zero and a height of zero.
`QDDimension(float width, float height)` Constructs a QDDimension and initializes it to the specified width and specified height.
`QDDimension(int width, int height)` Constructs a QDDimension and initializes it to the specified width and specified height.

Method Summary
`java.lang.Object` | `clone()` Return a copy of the QDDimension
`QDDimension` | `copy()` Returns a copy of the QDDimension with the correct return type.
`boolean` | `equals(java.lang.Object obj)` Checks whether two dimension objects have equal values.
`static EndianDescriptor` | `getEndianDescriptor()` Returns the EndianDescriptor for QDRect Rect.
`int` | `getHeight()` Gets the height of this QDDimension object.
`float` | `getHeightF()` Gets the height of this QDDimension object.
`int` | `getWidth()` Gets the width of this QDDimension object.
`float` | `getWidthF()` Gets the width of this QDDimension object.
`void` | `setHeight(float height)` Set the height.
`void` | `setHeight(int height)` Set the height.
`void` | `setWidth(float width)` Set the width.
`void` | `setWidth(int width)` Set the width.
`java.lang.String` | `toString()` Returns a string representation of this object

Methods inherited from class quicktime.util.QTByteObject
`fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QDDimension

    public QDDimension()

  Creates an instance of QDDimension with a width of zero and a height of zero.

### QDDimension

    public QDDimension(int width,
                       int height)

  Constructs a QDDimension and initializes it to the specified width and specified height.
  Parameters:
    `width` - the specified width dimension
    `height` - the specified height dimension

### QDDimension

    public QDDimension(float width,
                       float height)

  Constructs a QDDimension and initializes it to the specified width and specified height.
  Parameters:
    `width` - the specified width dimension
    `height` - the specified height dimension

Method Detail

### getEndianDescriptor

    public static final EndianDescriptor getEndianDescriptor()

  Returns the EndianDescriptor for QDRect Rect.
  Returns:
    an EndianDescriptor

### getWidth

    public int getWidth()

  Gets the width of this QDDimension object.
  Returns:
    the width

### getWidthF

    public float getWidthF()

  Gets the width of this QDDimension object.
  Returns:
    the width

### getHeight

    public int getHeight()

  Gets the height of this QDDimension object.
  Returns:
    the height

### getHeightF

    public float getHeightF()

  Gets the height of this QDDimension object.
  Returns:
    the height

### setWidth

    public void setWidth(int width)

  Set the width.
  Parameters:
    `width` - the new width for this QDDimension object.

### setWidth

    public void setWidth(float width)

  Set the width.
  Parameters:
    `width` - the new width for this QDDimension object.

### setHeight

    public void setHeight(int height)

  Set the height.
  Parameters:
    `height` - the new height for this QDDimension object.

### setHeight

    public void setHeight(float height)

  Set the height.
  Parameters:
    `height` - the new height for this QDDimension object.

### clone

    public java.lang.Object clone()

  Return a copy of the QDDimension
  Returns:
    a QDDimension

### copy

    public QDDimension copy()

  Returns a copy of the QDDimension with the correct return type.
  Returns:
    a QDDimension

### equals

    public boolean equals(java.lang.Object obj)

  Checks whether two dimension objects have equal values.
  Overrides:
    `equals` in class `QTByteObject`

### toString

    public java.lang.String toString()

  Description copied from class: `QTByteObject`
  Returns a string representation of this object
  Overrides:
    `toString` in class `QTByteObject`
  Returns:
    a string representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD